Redmine - Patch #25491

List of role members
2017-03-31 23:12 - Anonymous

Status: Needs feedback Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Description
This simple patch provides a list of all members of a role grouped by projects.

Tested and working with Redmine 3.2 & 3.3

History

#1 - 2017-03-31 23:13 - Anonymous
- File members.jpg added
- File list.jpg added

#2 - 2017-03-31 23:13 - Anonymous

members.jpg

list.jpg

#3 - 2017-04-01 11:01 - Go MAEDA
- File role-members-by-project.png added

Screenshot of "Members" view introduced by this patch. "eCookbook", "OnlineStore" and "Private child of eCookbook" are project name.
#4 - 2017-04-01 11:41 - Go MAEDA
- File 25491-list-of-role-members-v2.diff added
- File members-link-before.png added

- File members-link-after.png added
| slightly changed the patch.
e Replaced :notice_file_not_found ("The page you were trying to access doesn't exist or has been removed.") with :label_no_data ("No data to
display") for consistency with other pages.
e Always displays "Members" link to fix horizontal position of sort handle.

before - sort handle horizontal position is not aligned:

Rﬂles J New role Permissions report
Role

Manager $ & Members Copy Delete

Developer f & Members Copy Delete

Reporter 1 Copy Delete

Non member Copy

Anonymous Copy

after:

ques J MNew role Permissions report
Role

Manager I & Members Copy Delete

Developer 1 4@ Members Copy Delete

Reporter I & Members Copy Delete

Non member Copy

Anonymous Copy

#5 - 2017-04-01 17:27 - Anonymous

Thank you very much for those fixes !

#6 - 2017-04-30 09:12 - Toshi MARUYAMA
Go MAEDA wrote:

| slightly changed the patch.
It seems app/views/roles/members.html.erb is missing in your patch.

#7 - 2017-05-01 07:46 - Go MAEDA
- File deleted (25491-list-of-role-members-v2.diff)

#8 - 2017-05-01 07:47 - Go MAEDA
- File 25491-list-of-role-members-v3.diff added

Toshi MARUYAMA wrote:

It seems app/views/roles/members.html.erb is missing in your patch.

Fixed my patch and attached 25491 -list-of-role-members-v3.diff. Thank you for pointing it out.

#9 - 2017-06-02 09:46 - Mischa The Evil

- Status changed from New to Needs feedback

| think this could be a useful addition for instances with bigger number of users, roles and projects. I've tried the patch from note-8 (after manually
transplanting it to source:/trunk@16580) for testing, but it seems something is wrong. | get the following error upon request:

Started GET "/roles/3/members" for 192.168.1.3 at 2017-06-02 09:31:47 +0200
Processing by RolesController#members as HTML

Parameters: {"id"=>"3"}

SQL (4.0ms) UPDATE "tokens® SET "tokens' . updated_on’ = '2017-06-02 09:31:47' WHERE " tokens . user_id =
AND “tokens' . value = '<<snip>>' AND "tokens . action® = 'session'
(0.1ms) SELECT MAX (" settings . updated_on’) FROM " settings’

User Load (0.1ms) SELECT ‘“users .* FROM ‘users  WHERE
rs' . status® = 1 AND ‘users . id' = 1 LIMIT 1

Current user: admin (id=1)

Role Load (0.1lms) SELECT ‘“roles ' .* FROM "roles' WHERE

‘users’ . type’

‘roles' . id" =

('User', 'AnonymousUser') AND " use

3 LIMIT 1

Member Load (1.2ms) SELECT "members’ .* FROM “members’® INNER JOIN “member_roles’ ON "member_roles’ . member_i

d’ = "members . id® INNER JOIN "roles’ ON ‘roles . id’ = "member_roles’
".7id" = ‘members . user_id' AND ‘users . type  IN ('User', 'AnonymousUser')
users , "“members . id’

Completed 500 Internal Server Error in 22ms (ActiveRecord:

ActiveRecord::StatementInvalid (Mysqgl2::Error: Unknown column
FROM “members® INNER JOIN "member_roles® ON “member_roles’

. “member_id"

5.6ms)

'users' in

."role_id"' INNER JOIN “users ON "users
WHERE “roles . id® = 3 GROUP BY

'group statement': SELECT “members’ .*
"members” . id’ INNER JOIN "roles’ ON

‘roles' . id’ = ‘member_roles . role_id" INNER JOIN ‘users’ ‘users’ . id’ ‘members” . user_id® AND ‘users .

“type’ IN ('User', 'AnonymousUser') WHERE "roles . id’ = 3 GROUP BY “users , “members . id’):

app/controllers/roles_controller.rb:107:1in “members'

lib/redmine/sudo_mode.rb:63:in " sudo_mode'
Am | missing something?
